Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160264 - garbage cluster.conf files cause the GUI to die at startup
Summary: garbage cluster.conf files cause the GUI to die at startup
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: redhat-config-cluster
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jim Parsons
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-13 22:16 UTC by Corey Marthaler
Modified: 2009-04-16 20:09 UTC (History)
1 user (show)

Fixed In Version: RHBA-2005-753
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-07 16:48:13 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:753 normal SHIPPED_LIVE system-config-cluster bug update 2005-10-07 04:00:00 UTC

Description Corey Marthaler 2005-06-13 22:16:52 UTC
Description of problem:
I played around with taking out things in a valid cluster.conf file and have
even gone so far as to use a file with plain garbage in there and both cases
will cause the GUI to crash at start instead of gracefully telling the user that
there file is crap (which it does other for other validity errors).


Traceback (most recent call last):
  File "/usr/sbin/system-config-cluster", line 540, in ?
    runFullGUI()
  File "/usr/sbin/system-config-cluster", line 522, in runFullGUI
    baseapp = basecluster(glade_xml, app)
  File "/usr/sbin/system-config-cluster", line 129, in __init__
    self.model_builder = ModelBuilder(1, CLUSTER_CONF_PATH)
  File "/usr/share/system-config-cluster/ModelBuilder.py", line 126, in __init__
    self.parent = minidom.parse(self.filename)
  File "/usr/lib/python2.3/site-packages/_xmlplus/dom/minidom.py", line 1908, in
parse
    return expatbuilder.parse(file)
  File "/usr/lib/python2.3/site-packages/_xmlplus/dom/expatbuilder.py", line
924, in parse
    result = builder.parseFile(fp)
  File "/usr/lib/python2.3/site-packages/_xmlplus/dom/expatbuilder.py", line
207, in parseFile
    parser.Parse(buffer, 0)
xml.parsers.expat.ExpatError: syntax error: line 1, column 0




Another time:
Traceback (most recent call last):
  File "/usr/sbin/system-config-cluster", line 540, in ?
    runFullGUI()
  File "/usr/sbin/system-config-cluster", line 522, in runFullGUI
    baseapp = basecluster(glade_xml, app)
  File "/usr/sbin/system-config-cluster", line 129, in __init__
    self.model_builder = ModelBuilder(1, CLUSTER_CONF_PATH)
  File "/usr/share/system-config-cluster/ModelBuilder.py", line 126, in __init__
    self.parent = minidom.parse(self.filename)
  File "/usr/lib/python2.3/site-packages/_xmlplus/dom/minidom.py", line 1908, in
parse
    return expatbuilder.parse(file)
  File "/usr/lib/python2.3/site-packages/_xmlplus/dom/expatbuilder.py", line
924, in parse
    result = builder.parseFile(fp)
  File "/usr/lib/python2.3/site-packages/_xmlplus/dom/expatbuilder.py", line
207, in parseFile
    parser.Parse(buffer, 0)
xml.parsers.expat.ExpatError: not well-formed (invalid token): line 1, column 11


Version-Release number of selected component (if applicable):
system-config-cluster-1.0.12-1.0

Comment 1 Stanko Kupcevic 2005-07-26 15:09:46 UTC
Fixed in Errata Candidate

Comment 2 Corey Marthaler 2005-09-06 22:37:01 UTC
fix verified in 1.0.15



Comment 3 Red Hat Bugzilla 2005-10-07 16:48:13 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-753.html



Note You need to log in before you can comment on or make changes to this bug.